Subject: Re: bug#4032: 23.1; Minor inconvenience in toolbar implementation (perhaps only on Windows?)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Oct 2019 17:55:14 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 01 Oct 2019 15:57:59 +0200
> 
> > I do see all of the items here, with the native tool bar produced by
> > Emacs on MS-Windows.
> 
> Did you get two tool bar lines?

Yes.

> The bug report was about the second line not appearing until you do
> something, I think.

We don't redraw the tool bar unnecessarily, because that would cause
flickering.  In my case, I needed to do "C-x b" to see the updated
tool bar.  If this is a problem, I will have to see a real-life use
case where it happens and matters.